net.minecraft.client.resources

## Class ResourcePackListEntryFound

- java.lang.Object
- - net.minecraft.client.resources.ResourcePackListEntry
  - - net.minecraft.client.resources.ResourcePackListEntryFound

- All Implemented Interfaces:
    GuiListExtended.IGuiListEntry

      public class ResourcePackListEntryFound
      extends ResourcePackListEntry

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.resources.ResourcePackListEntry

      `field_148315_b, field_148317_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePackListEntryFound(GuiScreenResourcePacks p_i45053_1_, ResourcePackRepository.Entry p_i45053_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `func_148311_a()`
    `protected java.lang.String` | `func_148312_b()`
    `protected void` | `func_148313_c()`
    `ResourcePackRepository.Entry` | `func_148318_i()`

    - ### Methods inherited from class net.minecraft.client.resources.ResourcePackListEntry

      `drawEntry, func_148307_h, func_148308_f, func_148309_e, func_148310_d, func_148314_g, mousePressed, mouseReleased`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourcePackListEntryFound

          public ResourcePackListEntryFound(GuiScreenResourcePacks p_i45053_1_,
                                    ResourcePackRepository.Entry p_i45053_2_)

  - ### Method Detail

    - #### func_148313_c

          protected void func_148313_c()

      Specified by:
        `func_148313_c` in class `ResourcePackListEntry`

    - #### func_148311_a

          protected java.lang.String func_148311_a()

      Specified by:
        `func_148311_a` in class `ResourcePackListEntry`

    - #### func_148312_b

          protected java.lang.String func_148312_b()

      Specified by:
        `func_148312_b` in class `ResourcePackListEntry`

    - #### func_148318_i

          public ResourcePackRepository.Entry func_148318_i()